#ifndef BUSCAPACITY_H_
#define BUSCAPACITY_H_

#include "quantities/Bandwidth.h"
#include "networks/wiredbas/WiredBasImplementation.h"
#include "rules/wiredbas/common/BusRule.h"

namespace cosi
{

namespace rules
{

namespace wiredbas
{

class BusCapacity : public BusRule
{
	cosi::Bandwidth mCapacity ;
public:
	BusCapacity();

	virtual ~BusCapacity();

	void SetCapacityValue( double pCapacity) ;

	void SetCapacity(cosi::Bandwidth pB) ;

	virtual bool Satisfies(cosi::commstruct::wiredbas::Implementation pC) = 0 ;

};

}

}

}

#endif /*BUSCAPACITY_H_*/
